#include "response_matcher.h"

namespace NSrvKernel {

    template<>
    THolder<IMatcher<TResponse>> ConstructSpecMatcher(const TString& key, NConfig::IConfig* config, ICtl*) {
        if (key == "match_header") {
            return MakeHolder<THeaderMatcher>(config);
        }

        if (key == "match_response_codes") {
            return MakeHolder<TResponseCodesMatcher>(config);
        }

        return nullptr;
    }

}
